package domain


type AlibabaWdkSkuChannelskuQueryChannelSkuDo struct {
    /*
        商品编码     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        可售状态     */
    LifeStatus  *string `json:"life_status,omitempty" `

    /*
        销售规格     */
    SaleSpec  *string `json:"sale_spec,omitempty" `

    /*
        销售单位     */
    SaleUnit  *string `json:"sale_unit,omitempty" `

    /*
        最小起售量     */
    SaleMinimum  *int64 `json:"sale_minimum,omitempty" `

    /*
        是否可退供     */
    ReturnFlag  *string `json:"return_flag,omitempty" `

    /*
        销售价格     */
    SalePrice  *string `json:"sale_price,omitempty" `

    /*
        门店或DC编码     */
    OuCode  *string `json:"ou_code,omitempty" `

    /*
        出货仓     */
    DeliverWarehouse  *string `json:"deliver_warehouse,omitempty" `

    /*
        客户商家编码     */
    CustomerMerchantCode  *string `json:"customer_merchant_code,omitempty" `

    /*
        是否支持先销后采（默认false）     */
    SaleBeforePurchase  *bool `json:"sale_before_purchase,omitempty" `

    /*
        原始供应商编码     */
    OriginalSupplierNo  *string `json:"original_supplier_no,omitempty" `

    /*
        渠道编码     */
    ChannelCode  *int64 `json:"channel_code,omitempty" `

}

func (s *AlibabaWdkSkuChannelskuQueryChannelSkuDo) SetSkuCode(v string) *AlibabaWdkSkuChannelskuQueryChannelSkuDo {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuQueryChannelSkuDo) SetLifeStatus(v string) *AlibabaWdkSkuChannelskuQueryChannelSkuDo {
    s.LifeStatus = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuQueryChannelSkuDo) SetSaleSpec(v string) *AlibabaWdkSkuChannelskuQueryChannelSkuDo {
    s.SaleSpec = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuQueryChannelSkuDo) SetSaleUnit(v string) *AlibabaWdkSkuChannelskuQueryChannelSkuDo {
    s.SaleUnit = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuQueryChannelSkuDo) SetSaleMinimum(v int64) *AlibabaWdkSkuChannelskuQueryChannelSkuDo {
    s.SaleMinimum = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuQueryChannelSkuDo) SetReturnFlag(v string) *AlibabaWdkSkuChannelskuQueryChannelSkuDo {
    s.ReturnFlag = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuQueryChannelSkuDo) SetSalePrice(v string) *AlibabaWdkSkuChannelskuQueryChannelSkuDo {
    s.SalePrice = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuQueryChannelSkuDo) SetOuCode(v string) *AlibabaWdkSkuChannelskuQueryChannelSkuDo {
    s.OuCode = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuQueryChannelSkuDo) SetDeliverWarehouse(v string) *AlibabaWdkSkuChannelskuQueryChannelSkuDo {
    s.DeliverWarehouse = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuQueryChannelSkuDo) SetCustomerMerchantCode(v string) *AlibabaWdkSkuChannelskuQueryChannelSkuDo {
    s.CustomerMerchantCode = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuQueryChannelSkuDo) SetSaleBeforePurchase(v bool) *AlibabaWdkSkuChannelskuQueryChannelSkuDo {
    s.SaleBeforePurchase = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuQueryChannelSkuDo) SetOriginalSupplierNo(v string) *AlibabaWdkSkuChannelskuQueryChannelSkuDo {
    s.OriginalSupplierNo = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuQueryChannelSkuDo) SetChannelCode(v int64) *AlibabaWdkSkuChannelskuQueryChannelSkuDo {
    s.ChannelCode = &v
    return s
}
